Bug 1028148 (CVE-2013-2929) - CVE-2013-2929 kernel: exec/ptrace: get_dumpable() incorrect tests
Summary: CVE-2013-2929 kernel: exec/ptrace: get_dumpable() incorrect tests
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2929
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1039483 1039484 1039486 1039487 1039488 1039489 1111605 1111606 1547159 1547160
Blocks: 1028151
TreeView+ depends on / blocked
 
Reported: 2013-11-07 18:52 UTC by Petr Matousek
Modified: 2019-09-29 13:09 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the get_dumpable() function return value was interpreted in the ptrace subsystem of the Linux kernel. When 'fs.suid_dumpable' was set to 2, a local, unprivileged local user could use this flaw to bypass intended ptrace restrictions and obtain potentially sensitive information.
Clone Of:
Environment:
Last Closed: 2015-10-15 21:12:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0100 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2014-01-28 22:38:58 UTC
Red Hat Product Errata RHSA-2014:0159 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-02-11 23:15:53 UTC
Red Hat Product Errata RHSA-2014:0285 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-03-12 22:28:54 UTC
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC
Red Hat Product Errata RHSA-2018:1252 None None None 2018-04-25 20:36:50 UTC

Description Petr Matousek 2013-11-07 18:52:23 UTC
The get_dumpable() return value is not boolean.  Most users of the function actually want to be testing for non-SUID_DUMP_USER(1) rather than SUID_DUMP_DISABLE(0).  The SUID_DUMP_ROOT(2) is also considered a protected state. 

If the system had set the sysctl fs.suid_dumpable=2, a user was able to ptrace attach to processes that he would otherwise be unable to because of the dumpable check.

Upstream fix:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=d049f74f2dbe71354d43d393ac3a188947811348

Comment 4 errata-xmlrpc 2014-01-28 17:40:57 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0100 https://rhn.redhat.com/errata/RHSA-2014-0100.html

Comment 5 errata-xmlrpc 2014-02-11 18:16:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0159 https://rhn.redhat.com/errata/RHSA-2014-0159.html

Comment 6 errata-xmlrpc 2014-03-12 18:29:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0285 https://rhn.redhat.com/errata/RHSA-2014-0285.html

Comment 8 Martin Prpič 2014-12-03 09:20:23 UTC
IssueDescription:

A flaw was found in the way the get_dumpable() function return value was interpreted in the ptrace subsystem of the Linux kernel. When 'fs.suid_dumpable' was set to 2, a local, unprivileged local user could use this flaw to bypass intended ptrace restrictions and obtain potentially sensitive information.

Comment 9 errata-xmlrpc 2014-12-09 20:33:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html

Comment 10 Vincent Danen 2015-10-15 21:12:24 UTC
Statement:

(none)

Comment 12 errata-xmlrpc 2018-04-25 20:36:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.9 Long Life

Via RHSA-2018:1252 https://access.redhat.com/errata/RHSA-2018:1252


Note You need to log in before you can comment on or make changes to this bug.